gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin Gtk.ICellEditable Gtk.ICellLayout A widget used to choose from a list of items. `using System; using Gtk; class ComboBoxSample { static void Main () { new ComboBoxSample (); } ComboBoxSample () { Application.Init (); Window win = new Window ("ComboBoxSample"); win.DeleteEvent += new DeleteEventHandler (OnWinDelete); ComboBox combo = ComboBox.NewText (); for (int i = 0; i < 5; i ++) combo.AppendText ("item " + i); combo.Changed += new EventHandler (OnComboBoxChanged); win.Add (combo); win.ShowAll (); Application.Run (); } void OnComboBoxChanged (object o, EventArgs args) { ComboBox combo = o as ComboBox; if (o == null) return; TreeIter iter; if (combo.GetActiveIter (out iter)) Console.WriteLine ((string) combo.Model.GetValue (iter, 0)); } void OnWinDelete (object obj, DeleteEventArgs args) { Application.Quit (); } }`
- Constructor
  Default constructor
  Gtk.ComboBox cb = new ComboBox(); cb.Clear(); CellRendererText cell = new CellRendererText(); cb.PackStart(cell, false); cb.AddAttribute(cell, "text", 0); ListStore store = new ListStore(typeof (string)); cb.Model = store;

  store.AppendValues ("Hello"); store.AppendValues ("Gtk"); store.AppendValues ("ComboBox");
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  a
  Internal constructor
- Constructor
  A list of string values for the combo entries.
  Creates a Combo box from a list of values.
- Property
  GLib.Property("active")
  System.Int32 The index of the currently active item. a -1 if there is no active item.
- Property
  GLib.Property("active-id")
  System.String To be added. To be added. To be added.
- Method
  System.Void `` `` `` a a , parameter on to be set from the value a , column of the model to get a value from. Adds an attribute mapping to the list in this combo box. The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Property
  GLib.Property("add-tearoffs")
  System.Boolean To be added a To be added
- Property
  Gtk.CellArea To be added. To be added. To be added.
- Property
  GLib.Property("button-sensitivity")
  Gtk.SensitivityType To be added. To be added. To be added.
- Property
  GLib.Property("cell-area")
  Gtk.CellArea To be added. To be added. To be added.
- Property
  Gtk.CellRenderer[] To be added. To be added. To be added.
- Event
  GLib.Signal("changed")
  System.EventHandler Emitted when the selected item is changed.
- Method
  System.Void Unsets all the mappings on all renderers for this combo box.
- Method
  System.Void `` a Clears all existing attributes previously set with .
- Property
  GLib.Property("column-span-column")
  System.Int32 The column with column span information. a The column span column contains integers which indicate how many columns an item should span.
- Event
  GLib.Signal("editing-done")
  System.EventHandler To be added To be added
- Property
  Gtk.Entry To be added. To be added. To be added.
- Property
  GLib.Property("entry-text-column")
  System.Int32 To be added. To be added. To be added.
- Method
  System.Void To be added To be added
- Property
  GLib.Property("focus-on-click")
  System.Boolean Sets or gets whether the combo box will grab focus when it is clicked with the mouse. a Making mouse clicks not grab focus is useful in places like toolbars where you don't want the keyboard focus removed from the main area of the application.
- Method
  System.Boolean `` a Gets the iter that points to the current active item, if it exists. a , if it exists.
- Property
  GLib.GType GType Property a Returns the native GLib.GType value for Combo.
- Property
  GLib.Property("has-entry")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("has-frame")
  System.Boolean To be added a To be added
- Property
  GLib.Property("id-column")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("model")
  Gtk.ITreeModel The which is acting as data source for the . a Will unset a previously set model (if applicable). If model is , then it will unset the model.

  setting the model does not clear the cell renderers, you have to call yourself if you need to set up different cell renderers for the new model.

- Event
  GLib.Signal("move-active")
  Gtk.MoveActiveHandler To be added. To be added.
- Method
  Gtk.ComboBox `` To be added. To be added. To be added. To be added.
- Method
  Gtk.ComboBox To be added. To be added. To be added.
- Method
  Gtk.ComboBox `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gtk.ComboBox))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEditingDone", Type=typeof(Gtk.ComboBox))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveActive", Type=typeof(Gtk.ComboBox))
  System.Void `` To be added. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePoppedDown", Type=typeof(Gtk.ComboBox))
  System.Boolean Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePoppedUp", Type=typeof(Gtk.ComboBox))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideWidgetRemoved", Type=typeof(Gtk.ComboBox))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` a a Adds the to the end of the combo box. If is , then the is allocated no more space than it needs. Any unused space is divided evenly between cells for which is .
- Method
  System.Void `` `` a a Packs the into the beginning of the combo box. If is , then the is allocated no more space than it needs. Any unused space is divided evenly between cells for which is .
- Method
  System.Void Hides the menu or dropdown list of this . This function is mostly intended for use by accessibility technologies; applications should have little use for it.
- Event
  GLib.Signal("popdown")
  Gtk.PoppedDownHandler To be added. To be added.
- Event
  GLib.Signal("popup")
  System.EventHandler To be added. To be added.
- Method
  System.Void Pops up the menu or dropdown list of . This function is mostly intended for use by accessibility technologies; applications should have little use for it.
- Property
  Atk.Object To be added a To be added
- Property
  GLib.Property("popup-fixed-width")
  System.Boolean To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Property
  GLib.Property("popup-shown")
  System.Boolean Indicates if the popup is currently visible. if the popup is visible.
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` a a Re-inserts at . Note that has already to be packed into the combo box for this to function properly. i
- Property
  Gtk.TreeViewRowSeparatorFunc Callback function to indicate whether or not a given row of the combo box should be rendered as a separator. a
- Property
  GLib.Property("row-span-column")
  System.Int32 The column with row span information a The row span column contains integers which indicate how many rows an item should span.
- Method
  System.Void `` a Sets the current active item to be the one referenced by iter.
- Method
  System.Void `` `System.ParamArray` a a Sets the attribute to column bindings for a renderer. The array should consist of pairs of attribute name and column indexes.
- Method
  System.Void `` `` a a Sets a data function to use for the combo box. The data function is used instead of the standard attributes mapping for setting the column value, and should set the value of the cell renderer as appropriate. may be to remove an older one.
- Method
  System.Void `` a To be added To be added
- Property
  GLib.Property("tearoff-title")
  System.String A title to display when the popup is torn off. defaults to .
- Event
  GLib.Signal("remove-widget")
  System.EventHandler To be added To be added
- Property
  GLib.Property("wrap-width")
  System.Int32 Wrap width for laying out the items in a grid. a

  Allowed values: >= 0

  Default value: 0